# Game QA workflow: test-design
name: gametest-test-design
description: "Create comprehensive game test scenarios covering gameplay, progression, and quality requirements"
author: "BMad"

# Critical variables from config
config_source: "{project-root}/_bmad/bmgd/config.yaml"
output_folder: "{config_source}:output_folder"
user_name: "{config_source}:user_name"
communication_language: "{config_source}:communication_language"
document_output_language: "{config_source}:document_output_language"
date: system-generated

# Workflow components
installed_path: "{project-root}/_bmad/bmgd/workflows/gametest/test-design"
instructions: "{installed_path}/instructions.md"
validation: "{installed_path}/checklist.md"
template: "{installed_path}/test-design-template.md"

# Variables and inputs
variables:
  design_level: "full" # full, targeted, minimal
  focus_area: "auto" # auto, gameplay, progression, multiplayer, performance

# Output configuration
default_output_file: "{output_folder}/game-test-design.md"

# Required tools
required_tools:
  - read_file
  - write_file
  - list_files
  - search_repo

tags:
  - qa
  - planning
  - game-testing
  - risk-assessment
  - coverage

execution_hints:
  interactive: false
  autonomous: true
  iterative: true

web_bundle: false
